﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Brilliant.Data.Test
{
    public partial class FrmMain : Form
    {
        public FrmMain()
        {
            InitializeComponent();
        }

        private void FrmMain_Load(object sender, EventArgs e)
        {
            this.cmbDataProvider.DataSource = DBContext.ConnectionStringNames;
            this.cmbDataProvider.SelectedIndex = 0;
        }

        private void btnConnect_Click(object sender, EventArgs e)
        {
            if (DBContext.Connect(cmbDataProvider.Text, txtServer.Text, txtDB.Text, txtUid.Text, txtPwd.Text))
            {
                this.dgvDBS.DataSource = DBContext.SchemaProvider.GetDbList();
            }
            else
            {
                MessageBox.Show("连接无效!");
            }
        }

        private void btnShowTable_Click(object sender, EventArgs e)
        {
            DBContext.ChangeDataBase(this.txtSelDB.Text);
            this.dgvTables.DataSource = DBContext.SchemaProvider.GetTableList();
        }

        private void btnShowField_Click(object sender, EventArgs e)
        {
            this.dgvFields.DataSource = DBContext.SchemaProvider.GetSchemaInfo(this.txtSelTable.Text).ColumnList;
        }
    }
}
