﻿using Brilliant.Data.Provider;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Brilliant.Data.Common
{
    public class ConnectionInfo : ConnectionInfoBase
    {
        /// <summary>
        /// 数据库访问对象命名空间
        /// </summary>
        /// <example>如:Brilliant.Data.Provider.SqlServer</example>
        public string ProviderName { get; set; }

        /// <summary>
        /// 数据库访问对象类型
        /// </summary>
        public string ProviderType { get; set; }

        /// <summary>
        /// 数据库访问对象
        /// </summary>
        public IDataProvider DataProvider { get; set; }

        /// <summary>
        /// 数据库架构访问对象
        /// </summary>
        public ISchemaProvider SchemaProvider { get; set; }
    }
}
